- Qt 5.5
- Qt3D Module
- C++ Classes
- QSystemInformationService
- Qt 5.5.1 Reference Documentation

# QSystemInformationService Class

(Qt3D::QSystemInformationService)

Interface for a Qt3D system information service More...

Header: | #include <QSystemInformationService>
qmake: | QT += 3dcore
Inherits: | QAbstractServiceProvider
Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual QStringList | aspectNames() const = 0
virtual int | threadPoolThreadCount() const = 0

- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Protected Functions

| QSystemInformationService(const QString & description = QString())

## Detailed Description

Interface for a Qt3D system information service

This is an interface class that should be subclassesd by providers of the system information service.

## Member Function Documentation

### `[protected]` QSystemInformationService::QSystemInformationService(const QString & description = QString())

Creates an instance of QSystemInformationService, with a description for the new service. This constructor is protected so only subclasses can instantiate a QSystemInformationService object.

### `[pure virtual]` QStringList QSystemInformationService::aspectNames() const

### `[pure virtual]` int QSystemInformationService::threadPoolThreadCount() const